--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.1i
--  \   \         Application : sch2vhdl
--  /   /         Filename : Video.vhf
-- /___/   /\     Timestamp : 05/05/2007 19:06:26
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: D:\Xilinx91i\bin\nt\sch2vhdl.exe -intstyle ise -family xc9500 -flat -suppress -w "E:/Atmel Projekte/VGA_Testbildgenerator/VGATesterISE9.1/Video.sch" Video.vhf
--Design Name: Video
--Device: xc9500
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity D3_8E_MXILINX_Video is
   port ( A0 : in    std_logic; 
          A1 : in    std_logic; 
          A2 : in    std_logic; 
          E  : in    std_logic; 
          D0 : out   std_logic; 
          D1 : out   std_logic; 
          D2 : out   std_logic; 
          D3 : out   std_logic; 
          D4 : out   std_logic; 
          D5 : out   std_logic; 
          D6 : out   std_logic; 
          D7 : out   std_logic);
end D3_8E_MXILINX_Video;

architecture BEHAVIORAL of D3_8E_MXILINX_Video is
   attribute BOX_TYPE   : string ;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component AND4B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B1 : component is "BLACK_BOX";
   
   component AND4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B2 : component is "BLACK_BOX";
   
   component AND4B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B3 : component is "BLACK_BOX";
   
begin
   I_36_30 : AND4
      port map (I0=>A2,
                I1=>A1,
                I2=>A0,
                I3=>E,
                O=>D7);
   
   I_36_31 : AND4B1
      port map (I0=>A0,
                I1=>A2,
                I2=>A1,
                I3=>E,
                O=>D6);
   
   I_36_32 : AND4B1
      port map (I0=>A1,
                I1=>A2,
                I2=>A0,
                I3=>E,
                O=>D5);
   
   I_36_33 : AND4B2
      port map (I0=>A1,
                I1=>A0,
                I2=>A2,
                I3=>E,
                O=>D4);
   
   I_36_34 : AND4B1
      port map (I0=>A2,
                I1=>A0,
                I2=>A1,
                I3=>E,
                O=>D3);
   
   I_36_35 : AND4B2
      port map (I0=>A2,
                I1=>A0,
                I2=>A1,
                I3=>E,
                O=>D2);
   
   I_36_36 : AND4B2
      port map (I0=>A2,
                I1=>A1,
                I2=>A0,
                I3=>E,
                O=>D1);
   
   I_36_37 : AND4B3
      port map (I0=>A2,
                I1=>A1,
                I2=>A0,
                I3=>E,
                O=>D0);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FTCE_MXILINX_Video is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_Video;

architecture BEHAVIORAL of FTCE_MXILINX_Video is
   attribute BOX_TYPE       : string ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : component is "BLACK_BOX";
   
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T,
                I1=>Q_DUMMY,
                O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>TQ,
                Q=>Q_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity CB4CE_MXILINX_Video is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic; 
          TC  : out   std_logic);
end CB4CE_MXILINX_Video;

architecture BEHAVIORAL of CB4CE_MXILINX_Video is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   signal Q3_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component FTCE_MXILINX_Video
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : label is "U0_0";
   attribute HU_SET of U1 : label is "U1_1";
   attribute HU_SET of U2 : label is "U2_2";
   attribute HU_SET of U3 : label is "U3_3";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   Q3 <= Q3_DUMMY;
   TC <= TC_DUMMY;
   I_36_31 : AND4
      port map (I0=>Q3_DUMMY,
                I1=>Q2_DUMMY,
                I2=>Q1_DUMMY,
                I3=>Q0_DUMMY,
                O=>TC_DUMMY);
   
   I_36_32 : AND3
      port map (I0=>Q2_DUMMY,
                I1=>Q1_DUMMY,
                I2=>Q0_DUMMY,
                O=>T3);
   
   I_36_33 : AND2
      port map (I0=>Q1_DUMMY,
                I1=>Q0_DUMMY,
                O=>T2);
   
   I_36_58 : VCC
      port map (P=>XLXN_1);
   
   I_36_67 : AND2
      port map (I0=>CE,
                I1=>TC_DUMMY,
                O=>CEO);
   
   U0 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>XLXN_1,
                Q=>Q0_DUMMY);
   
   U1 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>Q0_DUMMY,
                Q=>Q1_DUMMY);
   
   U2 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T2,
                Q=>Q2_DUMMY);
   
   U3 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T3,
                Q=>Q3_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity CB16CE_MXILINX_Video is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q   : out   std_logic_vector (15 downto 0); 
          TC  : out   std_logic);
end CB16CE_MXILINX_Video;

architecture BEHAVIORAL of CB16CE_MXILINX_Video is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal T4       : std_logic;
   signal T5       : std_logic;
   signal T6       : std_logic;
   signal T7       : std_logic;
   signal T8       : std_logic;
   signal T9       : std_logic;
   signal T10      : std_logic;
   signal T11      : std_logic;
   signal T12      : std_logic;
   signal T13      : std_logic;
   signal T14      : std_logic;
   signal T15      : std_logic;
   signal XLXN_1   : std_logic;
   signal Q_DUMMY  : std_logic_vector (15 downto 0);
   signal TC_DUMMY : std_logic;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : component is "BLACK_BOX";
   
   component FTCE_MXILINX_Video
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of Q0 : label is "Q0_5";
   attribute HU_SET of Q1 : label is "Q1_4";
   attribute HU_SET of Q2 : label is "Q2_7";
   attribute HU_SET of Q3 : label is "Q3_6";
   attribute HU_SET of Q4 : label is "Q4_11";
   attribute HU_SET of Q5 : label is "Q5_10";
   attribute HU_SET of Q6 : label is "Q6_9";
   attribute HU_SET of Q7 : label is "Q7_8";
   attribute HU_SET of Q8 : label is "Q8_12";
   attribute HU_SET of Q9 : label is "Q9_13";
   attribute HU_SET of Q10 : label is "Q10_14";
   attribute HU_SET of Q11 : label is "Q11_15";
   attribute HU_SET of Q12 : label is "Q12_16";
   attribute HU_SET of Q13 : label is "Q13_17";
   attribute HU_SET of Q14 : label is "Q14_18";
   attribute HU_SET of Q15 : label is "Q15_19";
begin
   Q(15 downto 0) <= Q_DUMMY(15 downto 0);
   TC <= TC_DUMMY;
   I_36_3 : AND3
      port map (I0=>Q_DUMMY(2),
                I1=>Q_DUMMY(1),
                I2=>Q_DUMMY(0),
                O=>T3);
   
   I_36_4 : AND2
      port map (I0=>Q_DUMMY(1),
                I1=>Q_DUMMY(0),
                O=>T2);
   
   I_36_9 : VCC
      port map (P=>XLXN_1);
   
   I_36_10 : AND4
      port map (I0=>Q_DUMMY(3),
                I1=>Q_DUMMY(2),
                I2=>Q_DUMMY(1),
                I3=>Q_DUMMY(0),
                O=>T4);
   
   I_36_14 : AND5
      port map (I0=>Q_DUMMY(7),
                I1=>Q_DUMMY(6),
                I2=>Q_DUMMY(5),
                I3=>Q_DUMMY(4),
                I4=>T4,
                O=>T8);
   
   I_36_15 : AND2
      port map (I0=>Q_DUMMY(4),
                I1=>T4,
                O=>T5);
   
   I_36_19 : AND3
      port map (I0=>Q_DUMMY(5),
                I1=>Q_DUMMY(4),
                I2=>T4,
                O=>T6);
   
   I_36_21 : AND4
      port map (I0=>Q_DUMMY(6),
                I1=>Q_DUMMY(5),
                I2=>Q_DUMMY(4),
                I3=>T4,
                O=>T7);
   
   I_36_22 : AND5
      port map (I0=>Q_DUMMY(15),
                I1=>Q_DUMMY(14),
                I2=>Q_DUMMY(13),
                I3=>Q_DUMMY(12),
                I4=>T12,
                O=>TC_DUMMY);
   
   I_36_23 : AND2
      port map (I0=>Q_DUMMY(12),
                I1=>T12,
                O=>T13);
   
   I_36_24 : AND3
      port map (I0=>Q_DUMMY(13),
                I1=>Q_DUMMY(12),
                I2=>T12,
                O=>T14);
   
   I_36_25 : AND4
      port map (I0=>Q_DUMMY(14),
                I1=>Q_DUMMY(13),
                I2=>Q_DUMMY(12),
                I3=>T12,
                O=>T15);
   
   I_36_26 : AND4
      port map (I0=>Q_DUMMY(10),
                I1=>Q_DUMMY(9),
                I2=>Q_DUMMY(8),
                I3=>T8,
                O=>T11);
   
   I_36_27 : AND3
      port map (I0=>Q_DUMMY(9),
                I1=>Q_DUMMY(8),
                I2=>T8,
                O=>T10);
   
   I_36_28 : AND2
      port map (I0=>Q_DUMMY(8),
                I1=>T8,
                O=>T9);
   
   I_36_29 : AND5
      port map (I0=>Q_DUMMY(11),
                I1=>Q_DUMMY(10),
                I2=>Q_DUMMY(9),
                I3=>Q_DUMMY(8),
                I4=>T8,
                O=>T12);
   
   I_36_54 : AND2
      port map (I0=>CE,
                I1=>TC_DUMMY,
                O=>CEO);
   
   Q0 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>XLXN_1,
                Q=>Q_DUMMY(0));
   
   Q1 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>Q_DUMMY(0),
                Q=>Q_DUMMY(1));
   
   Q2 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T2,
                Q=>Q_DUMMY(2));
   
   Q3 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T3,
                Q=>Q_DUMMY(3));
   
   Q4 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T4,
                Q=>Q_DUMMY(4));
   
   Q5 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T5,
                Q=>Q_DUMMY(5));
   
   Q6 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T6,
                Q=>Q_DUMMY(6));
   
   Q7 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T7,
                Q=>Q_DUMMY(7));
   
   Q8 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T8,
                Q=>Q_DUMMY(8));
   
   Q9 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T9,
                Q=>Q_DUMMY(9));
   
   Q10 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T10,
                Q=>Q_DUMMY(10));
   
   Q11 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T11,
                Q=>Q_DUMMY(11));
   
   Q12 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T12,
                Q=>Q_DUMMY(12));
   
   Q13 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T13,
                Q=>Q_DUMMY(13));
   
   Q14 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T14,
                Q=>Q_DUMMY(14));
   
   Q15 : FTCE_MXILINX_Video
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T15,
                Q=>Q_DUMMY(15));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity AND8_MXILINX_Video is
   port ( I0 : in    std_logic; 
          I1 : in    std_logic; 
          I2 : in    std_logic; 
          I3 : in    std_logic; 
          I4 : in    std_logic; 
          I5 : in    std_logic; 
          I6 : in    std_logic; 
          I7 : in    std_logic; 
          O  : out   std_logic);
end AND8_MXILINX_Video;

architecture BEHAVIORAL of AND8_MXILINX_Video is
   attribute BOX_TYPE   : string ;
   signal S0 : std_logic;
   signal S1 : std_logic;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   I_36_110 : AND4
      port map (I0=>I0,
                I1=>I1,
                I2=>I2,
                I3=>I3,
                O=>S0);
   
   I_36_127 : AND4
      port map (I0=>I4,
                I1=>I5,
                I2=>I6,
                I3=>I7,
                O=>S1);
   
   I_36_142 : AND2
      port map (I0=>S0,
                I1=>S1,
                O=>O);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity OBUFE_MXILINX_Video is
   port ( E : in    std_logic; 
          I : in    std_logic; 
          O : out   std_logic);
end OBUFE_MXILINX_Video;

architecture BEHAVIORAL of OBUFE_MXILINX_Video is
   attribute BOX_TYPE   : string ;
   signal T : std_logic;
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
begin
   I_36_10 : OBUFT
      port map (I=>I,
                T=>T,
                O=>O);
   
   I_36_12 : INV
      port map (I=>E,
                O=>T);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity Video is
   port ( CLK_IN  : in    std_logic; 
          Taster  : in    std_logic; 
          Blue_0  : out   std_logic; 
          Green_0 : out   std_logic; 
          HSync   : out   std_logic; 
          Red_0   : out   std_logic; 
          VSync   : out   std_logic);
end Video;

architecture BEHAVIORAL of Video is
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   signal CLK8MHz     : std_logic;
   signal XLXN_49     : std_logic;
   signal XLXN_263    : std_logic;
   signal XLXN_286    : std_logic_vector (15 downto 0);
   signal XLXN_318    : std_logic;
   signal XLXN_319    : std_logic;
   signal XLXN_332    : std_logic;
   signal XLXN_335    : std_logic_vector (15 downto 0);
   signal XLXN_346    : std_logic;
   signal XLXN_352    : std_logic;
   signal XLXN_355    : std_logic;
   signal XLXN_356    : std_logic;
   signal XLXN_357    : std_logic;
   signal XLXN_358    : std_logic;
   signal XLXN_359    : std_logic;
   signal XLXN_360    : std_logic;
   signal XLXN_365    : std_logic;
   signal XLXN_366    : std_logic;
   signal XLXN_371    : std_logic;
   signal XLXN_377    : std_logic;
   signal XLXN_379    : std_logic;
   signal XLXN_380    : std_logic;
   signal XLXN_381    : std_logic;
   signal XLXN_382    : std_logic;
   signal XLXN_383    : std_logic;
   signal XLXN_387    : std_logic;
   signal XLXN_388    : std_logic;
   signal XLXN_389    : std_logic;
   signal XLXN_390    : std_logic;
   signal XLXN_391    : std_logic;
   signal HSync_DUMMY : std_logic;
   signal VSync_DUMMY : std_logic;
   component CB4CE_MXILINX_Video
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component CB16CE_MXILINX_Video
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q   : out   std_logic_vector (15 downto 0); 
             TC  : out   std_logic);
   end component;
   
   component OBUFE_MXILINX_Video
      port ( E : in    std_logic; 
             I : in    std_logic; 
             O : out   std_logic);
   end component;
   
   component AND8_MXILINX_Video
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             I5 : in    std_logic; 
             I6 : in    std_logic; 
             I7 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component NOR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR3 : component is "BLACK_BOX";
   
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : component is "BLACK_BOX";
   
   component D3_8E_MXILINX_Video
      port ( A0 : in    std_logic; 
             A1 : in    std_logic; 
             A2 : in    std_logic; 
             E  : in    std_logic; 
             D0 : out   std_logic; 
             D1 : out   std_logic; 
             D2 : out   std_logic; 
             D3 : out   std_logic; 
             D4 : out   std_logic; 
             D5 : out   std_logic; 
             D6 : out   std_logic; 
             D7 : out   std_logic);
   end component;
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component XNOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XNOR2 : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_22 : label is "XLXI_22_20";
   attribute HU_SET of XLXI_79 : label is "XLXI_79_21";
   attribute HU_SET of XLXI_83 : label is "XLXI_83_22";
   attribute HU_SET of XLXI_84 : label is "XLXI_84_23";
   attribute HU_SET of XLXI_85 : label is "XLXI_85_24";
   attribute HU_SET of XLXI_100 : label is "XLXI_100_25";
   attribute HU_SET of XLXI_101 : label is "XLXI_101_26";
   attribute HU_SET of XLXI_116 : label is "XLXI_116_27";
   attribute HU_SET of XLXI_117 : label is "XLXI_117_28";
begin
   HSync <= HSync_DUMMY;
   VSync <= VSync_DUMMY;
   XLXI_22 : CB4CE_MXILINX_Video
      port map (C=>CLK_IN,
                CE=>XLXN_49,
                CLR=>CLK8MHz,
                CEO=>open,
                Q0=>open,
                Q1=>CLK8MHz,
                Q2=>open,
                Q3=>open,
                TC=>open);
   
   XLXI_23 : VCC
      port map (P=>XLXN_49);
   
   XLXI_27 : GND
      port map (G=>XLXN_318);
   
   XLXI_79 : CB16CE_MXILINX_Video
      port map (C=>VSync_DUMMY,
                CE=>XLXN_263,
                CLR=>XLXN_319,
                CEO=>open,
                Q(15 downto 0)=>XLXN_335(15 downto 0),
                TC=>open);
   
   XLXI_80 : VCC
      port map (P=>XLXN_263);
   
   XLXI_83 : OBUFE_MXILINX_Video
      port map (E=>XLXN_332,
                I=>XLXN_355,
                O=>Red_0);
   
   XLXI_84 : OBUFE_MXILINX_Video
      port map (E=>XLXN_332,
                I=>XLXN_356,
                O=>Green_0);
   
   XLXI_85 : OBUFE_MXILINX_Video
      port map (E=>XLXN_332,
                I=>XLXN_357,
                O=>Blue_0);
   
   XLXI_90 : GND
      port map (G=>XLXN_319);
   
   XLXI_100 : AND8_MXILINX_Video
      port map (I0=>XLXN_335(8),
                I1=>XLXN_335(7),
                I2=>XLXN_335(6),
                I3=>XLXN_335(5),
                I4=>XLXN_335(4),
                I5=>XLXN_335(3),
                I6=>XLXN_335(2),
                I7=>XLXN_335(1),
                O=>HSync_DUMMY);
   
   XLXI_101 : CB16CE_MXILINX_Video
      port map (C=>CLK8MHz,
                CE=>XLXN_49,
                CLR=>XLXN_318,
                CEO=>open,
                Q(15 downto 0)=>XLXN_286(15 downto 0),
                TC=>open);
   
   XLXI_103 : NOR3
      port map (I0=>HSync_DUMMY,
                I1=>VSync_DUMMY,
                I2=>XLXN_346,
                O=>XLXN_332);
   
   XLXI_104 : AND5
      port map (I0=>XLXN_286(8),
                I1=>XLXN_286(7),
                I2=>XLXN_286(6),
                I3=>XLXN_286(5),
                I4=>XLXN_286(4),
                O=>VSync_DUMMY);
   
   XLXI_109 : NOR3
      port map (I0=>XLXN_286(8),
                I1=>XLXN_286(7),
                I2=>XLXN_286(6),
                O=>XLXN_346);
   
   XLXI_110 : AND2
      port map (I0=>XLXN_352,
                I1=>XLXN_286(8),
                O=>XLXN_360);
   
   XLXI_111 : AND2
      port map (I0=>XLXN_352,
                I1=>XLXN_286(7),
                O=>XLXN_359);
   
   XLXI_112 : AND2
      port map (I0=>XLXN_352,
                I1=>XLXN_286(6),
                O=>XLXN_358);
   
   XLXI_113 : OR3
      port map (I0=>XLXN_365,
                I1=>XLXN_360,
                I2=>XLXN_387,
                O=>XLXN_355);
   
   XLXI_114 : OR3
      port map (I0=>XLXN_366,
                I1=>XLXN_359,
                I2=>XLXN_387,
                O=>XLXN_356);
   
   XLXI_115 : OR3
      port map (I0=>XLXN_371,
                I1=>XLXN_358,
                I2=>XLXN_387,
                O=>XLXN_357);
   
   XLXI_116 : CB4CE_MXILINX_Video
      port map (C=>Taster,
                CE=>XLXN_379,
                CLR=>XLXN_377,
                CEO=>open,
                Q0=>XLXN_383,
                Q1=>XLXN_382,
                Q2=>XLXN_381,
                Q3=>open,
                TC=>open);
   
   XLXI_117 : D3_8E_MXILINX_Video
      port map (A0=>XLXN_383,
                A1=>XLXN_382,
                A2=>XLXN_381,
                E=>XLXN_380,
                D0=>XLXN_365,
                D1=>XLXN_366,
                D2=>XLXN_371,
                D3=>XLXN_388,
                D4=>XLXN_352,
                D5=>XLXN_389,
                D6=>open,
                D7=>XLXN_377);
   
   XLXI_118 : VCC
      port map (P=>XLXN_379);
   
   XLXI_119 : VCC
      port map (P=>XLXN_380);
   
   XLXI_120 : OR2
      port map (I0=>XLXN_390,
                I1=>XLXN_388,
                O=>XLXN_387);
   
   XLXI_121 : AND2
      port map (I0=>XLXN_391,
                I1=>XLXN_389,
                O=>XLXN_390);
   
   XLXI_124 : XNOR2
      port map (I0=>XLXN_286(4),
                I1=>XLXN_335(4),
                O=>XLXN_391);
   
end BEHAVIORAL;


